/***************************************************************************
                          mainconf.h  -  description
                             -------------------
    begin                : Sun Jan 23 2000
    copyright            : (C) 2000 by Frank von Daak
    email                : frank.fun@skydsl.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MAINCONF_H
#define MAINCONF_H

#include <kapp.h>

#include <qwidget.h>
#include <qframe.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qcheckbox.h>
#include <qtooltip.h>
#include <qradiobutton.h>
#include <qbuttongroup.h>
#include <qpushbutton.h>
#include <qspinbox.h>
#include <qstring.h>
#include <qstrlist.h>
#include <qdir.h>
#include <qfiledialog.h>

#include <kfiledialog.h>
#include <kiconloader.h>
#include <kurl.h>

#include "listenterdialog.h"
#include "mylineedit.h"

/**
  *@author Frank von Daak
  */

class MainConf : public QFrame  {
   Q_OBJECT

public:
	MainConf(QWidget *parent=0, const char *name=0);
	~MainConf();

	QPushButton *outBut;
  	  QButtonGroup *getBox, *identifyGroup;
  	  QRadioButton *fileBut, *htmlBut, *urllistBut, *wgetBut, *mozilla47But, *mozilla50But,
  	  				*konqBut, *msieBut, *otherBut, *lynxBut;
  	  QLabel *urlLab, *fnameLab, *outLab;
  	  QComboBox *protBox;
  	  QString projFolder, prot, home;
  	  QLineEdit *urlLine, *prNLine, *pnameLine, *outLine, *otherLine;
  	  MyLineEdit *htmlLine;
	  QFileDialog *dD;
	  ListEnterDialog *listWidg;
	  bool listshown;

	  bool protbak[200], anonbak[200];
	  QString sitebak[200];
	  int addNumBak;

	void openListEnter2();
	void backupList();

private:
	QString firstUrl;

private slots:
	void otherAgent();
	void openListEnter();
	void getProjFolder();
	void listCanceled();
	void listApplyed();
	void changeDropAction(QStrList);

public slots:
	void activateFileLine();
	void activateHtmlLine();
	void changeDropProt(QString);
};

#endif
